diff options
author | Ruediger Meier | 2016-11-17 03:10:01 +0100 |
---|---|---|
committer | Karel Zak | 2016-11-29 10:47:11 +0100 |
commit | 6ac59b5bd556ce3dd8411ddb1c1850c52d438d86 (patch) | |
tree | 43dad6ab96a82704b289fd9711767eb4e4fc6453 /tools | |
parent | build-sys: cosmetics PACKAGE_VERSION_MINOR (diff) | |
download | kernel-qcow2-util-linux-6ac59b5bd556ce3dd8411ddb1c1850c52d438d86.tar.gz kernel-qcow2-util-linux-6ac59b5bd556ce3dd8411ddb1c1850c52d438d86.tar.xz kernel-qcow2-util-linux-6ac59b5bd556ce3dd8411ddb1c1850c52d438d86.zip |
build-sys: remove old git fallback from git-version-gen
Just make the script more readable. Nobody is using 10 years old
git.
Signed-off-by: Ruediger Meier <ruediger.meier@ga-group.nl>
Diffstat (limited to 'tools')
-rwxr-xr-x | tools/git-version-gen | 21 |
1 files changed, 0 insertions, 21 deletions
diff --git a/tools/git-version-gen b/tools/git-version-gen index 1df20c3bd..3e431ef2d 100755 --- a/tools/git-version-gen +++ b/tools/git-version-gen @@ -111,27 +111,6 @@ elif test "`git log -1 --pretty=format:x . 2>&1`" = x \ *) (exit 1) ;; esac then - # Is this a new git that lists number of commits since the last - # tag or the previous older version that did not? - # Newer: v6.10-77-g0f8faeb - # Older: v6.10-g0f8faeb - case $v in - *-rc[0-9]) ;; # release candidate - *-*-*) : git describe is okay three part flavor ;; - *-*) - : git describe is older two part flavor - # Recreate the number of commits and rewrite such that the - # result is the same as if we were using the newer version - # of git describe. - vtag=`echo "$v" | sed 's/-.*//'` - commit_list=`git rev-list "$vtag"..HEAD 2>/dev/null` \ - || { commit_list=failed; - echo "$0: WARNING: git rev-list failed" 1>&2; } - numcommits=`echo "$commit_list" | wc -l` - v=`echo "$v" | sed "s/\(.*\)-\(.*\)/\1-$numcommits-\2/"`; - test "$commit_list" = failed && v=UNKNOWN - ;; - esac case $v in *-rc[0-9]) |